- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Slideshow

## Macros
#define | elm_obj_slideshow_item_add(itc, data, ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_ADD), EO_TYPECHECK(const Elm_Slideshow_Item_Class *, itc), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_slideshow_item_sorted_insert(itc, data, func, ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_SORTED_INSERT), EO_TYPECHECK(const Elm_Slideshow_Item_Class *, itc), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Eina_Compare_Cb, func), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_slideshow_next() ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_NEXT)
#define | elm_obj_slideshow_previous() ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_PREVIOUS)
#define | elm_obj_slideshow_transitions_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TRANSITIONS_GET), EO_TYPECHECK(const Eina_List **, ret)
#define | elm_obj_slideshow_layouts_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LAYOUTS_GET), EO_TYPECHECK(const Eina_List **, ret)
#define | elm_obj_slideshow_transition_set(transition) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TRANSITION_SET), EO_TYPECHECK(const char *, transition)
#define | elm_obj_slideshow_transition_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TRANSITION_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_slideshow_timeout_set(timeout) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TIMEOUT_SET), EO_TYPECHECK(double, timeout)
#define | elm_obj_slideshow_timeout_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TIMEOUT_GET), EO_TYPECHECK(double *, ret)
#define | elm_obj_slideshow_loop_set(loop) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LOOP_SET), EO_TYPECHECK(Eina_Bool, loop)
#define | elm_obj_slideshow_layout_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LAYOUT_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_slideshow_layout_set(layout) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LAYOUT_SET), EO_TYPECHECK(const char *, layout)
#define | elm_obj_slideshow_loop_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LOOP_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_slideshow_clear() ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CLEAR)
#define | elm_obj_slideshow_items_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEMS_GET), EO_TYPECHECK(const Eina_List **, ret)
#define | elm_obj_slideshow_item_current_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_CURRENT_GET), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_slideshow_cache_before_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_BEFORE_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_slideshow_cache_before_set(count) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_BEFORE_SET), EO_TYPECHECK(int, count)
#define | elm_obj_slideshow_cache_after_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_AFTER_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_slideshow_cache_after_set(count) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_AFTER_SET), EO_TYPECHECK(int, count)
#define | elm_obj_slideshow_item_nth_get(nth, ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_NTH_GET), EO_TYPECHECK(unsigned int, nth), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_slideshow_count_get(ret) ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_COUNT_GET), EO_TYPECHECK(unsigned int *, ret)

## Functions
void | elm_slideshow_item_show (Elm_Object_Item *it)
| Display a given slideshow widget's item, programmatically. More...
Evas_Object * | elm_slideshow_item_object_get (const Elm_Object_Item *it)
| Get the real Evas object created to implement the view of a given slideshow item. More...
Evas_Object * | elm_slideshow_add (Evas_Object *parent)
| Add a new slideshow widget to the given parent Elementary (container) object. More...
Elm_Object_Item * | elm_slideshow_item_add (Evas_Object *obj, const Elm_Slideshow_Item_Class *itc, const void *data)
| Add (append) a new item in a given slideshow widget. More...
Elm_Object_Item * | elm_slideshow_item_sorted_insert (Evas_Object *obj, const Elm_Slideshow_Item_Class *itc, const void *data, Eina_Compare_Cb func)
| Insert a new item into the given slideshow widget, using the `func` function to sort items (by item handles). More...
void | elm_slideshow_next (Evas_Object *obj)
| Slide to the next item, in a given slideshow widget. More...
void | elm_slideshow_previous (Evas_Object *obj)
| Slide to the previous item, in a given slideshow widget. More...
const Eina_List * | elm_slideshow_transitions_get (const Evas_Object *obj)
| Returns the list of sliding transition/effect names available, for a given slideshow widget. More...
const Eina_List * | elm_slideshow_layouts_get (const Evas_Object *obj)
| Returns the list of layout names available, for a given slideshow widget. More...
void | elm_slideshow_transition_set (Evas_Object *obj, const char *transition)
| Set the current slide transition/effect in use for a given slideshow widget. More...
const char * | elm_slideshow_transition_get (const Evas_Object *obj)
| Get the current slide transition/effect in use for a given slideshow widget. More...
void | elm_slideshow_timeout_set (Evas_Object *obj, double timeout)
| Set the interval between each image transition on a given slideshow widget, and start the slideshow, itself More...
double | elm_slideshow_timeout_get (const Evas_Object *obj)
| Get the interval set for image transitions on a given slideshow widget. More...
void | elm_slideshow_loop_set (Evas_Object *obj, Eina_Bool loop)
| Set if, after a slideshow is started, for a given slideshow widget, its items should be displayed cyclically or not. More...
const char * | elm_slideshow_layout_get (const Evas_Object *obj)
| Get the current slide layout in use for a given slideshow widget. More...
void | elm_slideshow_layout_set (Evas_Object *obj, const char *layout)
| Set the current slide layout in use for a given slideshow widget. More...
Eina_Bool | elm_slideshow_loop_get (const Evas_Object *obj)
| Get if, after a slideshow is started, for a given slideshow widget, its items are to be displayed cyclically or not. More...
void | elm_slideshow_clear (Evas_Object *obj)
| Remove all items from a given slideshow widget. More...
const Eina_List * | elm_slideshow_items_get (const Evas_Object *obj)
| Get the internal list of items in a given slideshow widget. More...
Elm_Object_Item * | elm_slideshow_item_current_get (const Evas_Object *obj)
| Returns the currently displayed item, in a given slideshow widget. More...
int | elm_slideshow_cache_before_get (const Evas_Object *obj)
| Retrieve the number of items to cache, on a given slideshow widget, before the current item More...
void | elm_slideshow_cache_before_set (Evas_Object *obj, int count)
| Set the number of items to cache, on a given slideshow widget, before the current item More...
int | elm_slideshow_cache_after_get (const Evas_Object *obj)
| Retrieve the number of items to cache, on a given slideshow widget, after the current item More...
void | elm_slideshow_cache_after_set (Evas_Object *obj, int count)
| Set the number of items to cache, on a given slideshow widget, after the current item More...
Elm_Object_Item * | elm_slideshow_item_nth_get (const Evas_Object *obj, unsigned int nth)
| Get the the item, in a given slideshow widget, placed at position `nth`, in its internal items list. More...
unsigned int | elm_slideshow_count_get (const Evas_Object *obj)
| Get the number of items stored in a given slideshow widget. More...

## Detailed Description

This widget, as the name indicates, is a pre-made image slideshow panel, with API functions acting on (child) image items presentation. Between those actions, are:

- advance to next/previous image
- select the style of image transition animation
- set the exhibition time for each image
- start/stop the slideshow

The transition animations are defined in the widget's theme, consequently new animations can be added without having to update the widget's code.

# Slideshow items

For slideshow items, just like for genlist ones, the user defines a classes, specifying functions that will be called on the item's creation and deletion times.

The #Elm_Slideshow_Item_Class structure contains the following members:

- `func.get` - When an item is displayed, this function is called, and it's where one should create the item object, de facto. For example, the object can be a pure Evas image object or an Elementary photocam widget. See #SlideshowItemGetFunc.
- `func.del` - When an item is no more displayed, this function is called, where the user must delete any data associated to the item. See #SlideshowItemDelFunc.

# Slideshow caching

The slideshow provides facilities to have items adjacent to the one being displayed already "realized" (i.e. loaded) for you, so that the system does not have to decode image data anymore at the time it has to actually switch images on its viewport. The user is able to set the numbers of items to be cached before and after the current item, in the widget's item list.

This widget inherits from the Layout one, so that all the functions acting on it also work for slideshow objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - when the slideshow switches its view to a new item. event_info parameter in callback contains the current visible item
- `"transition,end"` - when a slide transition ends. event_info parameter in callback contains the current visible item
- `"focused"` - When the slideshow has received focus. (since 1.8)
- `"unfocused"` - When the slideshow has lost focus. (since 1.8)

Supported `elm_object_item` common APIs.

- elm_object_item_del

List of examples for the slideshow widget:

- Slideshow widget example

## Macro Definition Documentation

#define elm_obj_slideshow_cache_after_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_AFTER_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Retrieve the number of items to cache, on a given slideshow widget, after the current item

Parameters

  [out] | ret |

See Also
  elm_slideshow_cache_after_get

Referenced by elm_slideshow_cache_after_get().

#define elm_obj_slideshow_cache_after_set | ( |  | count | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_AFTER_SET), EO_TYPECHECK(int, count)

Since
  1.8

Set the number of items to cache, on a given slideshow widget, after the current item

Parameters

  [in] | count |

See Also
  elm_slideshow_cache_after_set

Referenced by elm_slideshow_cache_after_set().

#define elm_obj_slideshow_cache_before_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_BEFORE_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Retrieve the number of items to cache, on a given slideshow widget,

Parameters

  [out] | ret |

See Also
  elm_slideshow_cache_before_get

Referenced by elm_slideshow_cache_before_get().

#define elm_obj_slideshow_cache_before_set | ( |  | count | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CACHE_BEFORE_SET), EO_TYPECHECK(int, count)

Since
  1.8

Set the number of items to cache, on a given slideshow widget,

Parameters

  [in] | count |

See Also
  elm_slideshow_cache_before_set

Referenced by elm_slideshow_cache_before_set().

#define elm_obj_slideshow_clear | ( |  | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_CLEAR)

Since
  1.8

Remove all items from a given slideshow widget

See Also
  elm_slideshow_clear

Referenced by elm_slideshow_clear().

#define elm_obj_slideshow_count_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_COUNT_GET), EO_TYPECHECK(unsigned int *, ret)

Since
  1.8

Get the number of items stored in a given slideshow widget

Parameters

  [out] | ret |

See Also
  elm_slideshow_count_get

Referenced by elm_slideshow_count_get().

#define elm_obj_slideshow_item_add | ( |  | itc,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_ADD), EO_TYPECHECK(const Elm_Slideshow_Item_Class *, itc), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Add (append) a new item in a given slideshow widget.

Parameters

  [in] | itc |
  [in] | data |
  [out] | ret |

See Also
  elm_slideshow_item_add

Referenced by elm_slideshow_item_add().

#define elm_obj_slideshow_item_current_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_CURRENT_GET), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Returns the currently displayed item, in a given slideshow widget

Parameters

  [out] | ret |

See Also
  elm_slideshow_item_current_get

Referenced by elm_slideshow_item_current_get().

#define elm_obj_slideshow_item_nth_get | ( |  | nth,
|  |  | ret
| ) |  | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_NTH_GET), EO_TYPECHECK(unsigned int, nth), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Get the the item, in a given slideshow widget, placed at position `nth`, in its internal items list

Parameters

  [in] | nth |
  [out] | ret |

See Also
  elm_slideshow_item_nth_get

Referenced by elm_slideshow_item_nth_get().

#define elm_obj_slideshow_item_sorted_insert | ( |  | itc,
|  |  | data,
|  |  | func,
|  |  | ret
| ) |  | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEM_SORTED_INSERT), EO_TYPECHECK(const Elm_Slideshow_Item_Class *, itc), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Eina_Compare_Cb, func), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Insert a new item into the given slideshow widget, using the func function to sort items (by item handles).

Parameters

  [in] | itc |
  [in] | data |
  [in] | func |
  [out] | ret |

See Also
  elm_slideshow_item_sorted_insert

Referenced by elm_slideshow_item_sorted_insert().

#define elm_obj_slideshow_items_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_ITEMS_GET), EO_TYPECHECK(const Eina_List **, ret)

Since
  1.8

Get the internal list of items in a given slideshow widget.

Parameters

  [out] | ret |

See Also
  elm_slideshow_items_get

Referenced by elm_slideshow_items_get().

#define elm_obj_slideshow_layout_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LAYOUT_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the current slide layout in use for a given slideshow widget

Parameters

  [out] | ret |

See Also
  elm_slideshow_layout_get

Referenced by elm_slideshow_layout_get().

#define elm_obj_slideshow_layout_set | ( |  | layout | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LAYOUT_SET), EO_TYPECHECK(const char *, layout)

Since
  1.8

Set the current slide layout in use for a given slideshow widget

Parameters

  [in] | layout |

See Also
  elm_slideshow_layout_set

Referenced by elm_slideshow_layout_set().

#define elm_obj_slideshow_layouts_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LAYOUTS_GET), EO_TYPECHECK(const Eina_List **, ret)

Since
  1.8

Returns the list of layout names available, for a given slideshow widget.

Parameters

  [out] | ret |

See Also
  elm_slideshow_layouts_get

Referenced by elm_slideshow_layouts_get().

#define elm_obj_slideshow_loop_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LOOP_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get if, after a slideshow is started, for a given slideshow widget.

Parameters

  [out] | ret |

See Also
  elm_slideshow_loop_get

Referenced by elm_slideshow_loop_get().

#define elm_obj_slideshow_loop_set | ( |  | loop | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_LOOP_SET), EO_TYPECHECK(Eina_Bool, loop)

Since
  1.8

Set if, after a slideshow is started, for a given slideshow widget.

Parameters

  [in] | loop |

See Also
  elm_slideshow_loop_set

Referenced by elm_slideshow_loop_set().

#define elm_obj_slideshow_next | ( |  | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_NEXT)

Since
  1.8

Slide to the next item, in a given slideshow widget

See Also
  elm_slideshow_next

Referenced by elm_slideshow_next().

#define elm_obj_slideshow_previous | ( |  | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_PREVIOUS)

Since
  1.8

Slide to the previous item, in a given slideshow widget

See Also
  elm_slideshow_previous

Referenced by elm_slideshow_previous().

#define elm_obj_slideshow_timeout_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TIMEOUT_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get the interval set for image transitions on a given slideshow widget.

Parameters

  [out] | ret |

See Also
  elm_slideshow_timeout_get

Referenced by elm_slideshow_timeout_get().

#define elm_obj_slideshow_timeout_set | ( |  | timeout | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TIMEOUT_SET), EO_TYPECHECK(double, timeout)

Since
  1.8

Set the interval between each image transition on a given slideshow widget.

Parameters

  [in] | timeout |

See Also
  elm_slideshow_timeout_set

Referenced by elm_slideshow_timeout_set().

#define elm_obj_slideshow_transition_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TRANSITION_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the current slide transition/effect in use for a given slideshow widget.

Parameters

  [out] | ret |

See Also
  elm_slideshow_transition_get

Referenced by elm_slideshow_transition_get().

#define elm_obj_slideshow_transition_set | ( |  | transition | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TRANSITION_SET), EO_TYPECHECK(const char *, transition)

Since
  1.8

Set the current slide transition/effect in use for a given slideshow widget.

Parameters

  [in] | transition |

See Also
  elm_slideshow_transition_set

Referenced by elm_slideshow_transition_set().

#define elm_obj_slideshow_transitions_get | ( |  | ret | ) | ELM_OBJ_SLIDESHOW_ID(ELM_OBJ_SLIDESHOW_SUB_ID_TRANSITIONS_GET), EO_TYPECHECK(const Eina_List **, ret)

Since
  1.8

Returns the list of sliding transition/effect names available, for a given slideshow widget.

Parameters

  [out] | ret |

See Also
  elm_slideshow_transitions_get

Referenced by elm_slideshow_transitions_get().

## Function Documentation

Evas_Object* elm_slideshow_add | ( | Evas_Object * | parent | ) |

Add a new slideshow widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  A new slideshow widget handle or `NULL`, on errors

This function inserts a new slideshow widget on the canvas.

int elm_slideshow_cache_after_get | ( | const Evas_Object * | obj | ) |

Retrieve the number of items to cache, on a given slideshow widget, after the current item

Parameters

  obj | The slideshow object

Returns
  The number of items set to be cached after the current one

See Also
  elm_slideshow_cache_after_set() for more details

References elm_obj_slideshow_cache_after_get.

void elm_slideshow_cache_after_set | ( | Evas_Object * | obj,
|  | int | count
| ) |  |

Set the number of items to cache, on a given slideshow widget, after the current item

Parameters

  obj | The slideshow object
  count | Number of items to cache after the current one

The default value for this property is `2`. See slideshow caching for more details.

See Also
  elm_slideshow_cache_after_get()

References elm_obj_slideshow_cache_after_set.

int elm_slideshow_cache_before_get | ( | const Evas_Object * | obj | ) |

Retrieve the number of items to cache, on a given slideshow widget, before the current item

Parameters

  obj | The slideshow object

Returns
  The number of items set to be cached before the current one

See Also
  elm_slideshow_cache_before_set() for more details

References elm_obj_slideshow_cache_before_get.

void elm_slideshow_cache_before_set | ( | Evas_Object * | obj,
|  | int | count
| ) |  |

Set the number of items to cache, on a given slideshow widget, before the current item

Parameters

  obj | The slideshow object
  count | Number of items to cache before the current one

The default value for this property is `2`. See slideshow caching for more details.

See Also
  elm_slideshow_cache_before_get()

References elm_obj_slideshow_cache_before_set.

void elm_slideshow_clear | ( | Evas_Object * | obj | ) |

Remove all items from a given slideshow widget.

Parameters

  obj | The slideshow object

This removes (and deletes) all items in `obj`, leaving it empty.

See Also
  elm_object_item_del(), to remove just one item.

References elm_obj_slideshow_clear.

unsigned int elm_slideshow_count_get | ( | const Evas_Object * | obj | ) |

Get the number of items stored in a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  The number of items on `obj`, at the moment of this call

References elm_obj_slideshow_count_get.

Elm_Object_Item* elm_slideshow_item_add | ( | Evas_Object * | obj,
|  | const Elm_Slideshow_Item_Class * | itc,
|  | const void * | data
| ) |  |

Add (append) a new item in a given slideshow widget.

Parameters

  obj | The slideshow object
  itc | The item class for the item
  data | The item's data

Returns
  A handle to the item added or `NULL`, on errors

Add a new item to `obj's` internal list of items, appending it. The item's class must contain the function really fetching the image object to show for this item, which could be an Evas image object or an Elementary photo, for example. The `data` parameter is going to be passed to both class functions of the item.

See Also
  #Elm_Slideshow_Item_Class
  elm_slideshow_item_sorted_insert()
  elm_object_item_data_set()

References elm_obj_slideshow_item_add.

Elm_Object_Item* elm_slideshow_item_current_get | ( | const Evas_Object * | obj | ) |

Returns the currently displayed item, in a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  A handle to the item being displayed in `obj` or `NULL`, if none is (and on errors)

References elm_obj_slideshow_item_current_get.

Elm_Object_Item* elm_slideshow_item_nth_get | ( | const Evas_Object * | obj,
|  | unsigned int | nth
| ) |  |

Get the the item, in a given slideshow widget, placed at position `nth`, in its internal items list.

Parameters

  obj | The slideshow object
  nth | The number of the item to grab a handle to (0 being the first)

Returns
  The item stored in `obj` at position `nth` or `NULL`, if there's no item with that index (and on errors)

References elm_obj_slideshow_item_nth_get.

Evas_Object* elm_slideshow_item_object_get | ( | const Elm_Object_Item * | it | ) |

Get the real Evas object created to implement the view of a given slideshow item.

Parameters

  it | The slideshow item.

Returns
  the Evas object implementing this item's view.

This returns the actual Evas object used to implement the specified slideshow item's view. This may be `NULL`, as it may not have been created or may have been deleted, at any time, by the slideshow. Do not modify this object (move, resize, show, hide, etc.), as the slideshow is controlling it. This function is for querying, emitting custom signals or hooking lower level callbacks for events on that object. Do not delete this object under any circumstances.

See Also
  elm_object_item_data_get()

void elm_slideshow_item_show | ( | Elm_Object_Item * | it | ) |

Display a given slideshow widget's item, programmatically.

Parameters

  it | The item to display on `obj's` viewport

The change between the current item and `item` will use the transition `obj` is set to use (

See Also
  elm_slideshow_transition_set()).

References elm_layout_content_set(), and elm_layout_signal_emit().

Elm_Object_Item* elm_slideshow_item_sorted_insert | ( | Evas_Object * | obj,
|  | const Elm_Slideshow_Item_Class * | itc,
|  | const void * | data,
|  | Eina_Compare_Cb | func
| ) |  |

Insert a new item into the given slideshow widget, using the `func` function to sort items (by item handles).

Parameters

  obj | The slideshow object
  itc | The item class for the item
  data | The item's data
  func | The comparing function to be used to sort slideshow items by #Elm_Slideshow_Item_Class item handles

Returns
  Returns The slideshow item handle, on success, or `NULL`, on errors

Add a new item to `obj's` internal list of items, in a position determined by the `func` comparing function. The item's class must contain the function really fetching the image object to show for this item, which could be an Evas image object or an Elementary photo, for example. The `data` parameter is going to be passed to both class functions of the item.

See Also
  #Elm_Slideshow_Item_Class
  elm_slideshow_item_add()

References elm_obj_slideshow_item_sorted_insert.

const Eina_List* elm_slideshow_items_get | ( | const Evas_Object * | obj | ) |

Get the internal list of items in a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  The list of items (Elm_Object_Item as data) or `NULL` on errors.

This list is not to be modified in any way and must not be freed. Use the list members with functions like elm_object_item_del(), elm_object_item_data_get().

Warning
  This list is only valid until `obj` object's internal items list is changed. It should be fetched again with another call to this function when changes happen.

References elm_obj_slideshow_items_get.

const char* elm_slideshow_layout_get | ( | const Evas_Object * | obj | ) |

Get the current slide layout in use for a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  The current layout's name

See Also
  elm_slideshow_layout_set() for more details

References elm_obj_slideshow_layout_get.

void elm_slideshow_layout_set | ( | Evas_Object * | obj,
|  | const char * | layout
| ) |  |

Set the current slide layout in use for a given slideshow widget.

Parameters

  obj | The slideshow object
  layout | The new layout's name string

If `layout` is implemented in `obj's` theme (i.e., is contained in the list returned by elm_slideshow_layouts_get()), this new images layout will be used on the widget.

See Also
  elm_slideshow_layouts_get() for more details

References elm_obj_slideshow_layout_set.

const Eina_List* elm_slideshow_layouts_get | ( | const Evas_Object * | obj | ) |

Returns the list of layout names available, for a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  The list of layouts (list of stringshared strings as data)

Slideshow layouts will change how the widget is to dispose each image item in its viewport, with regard to cropping, scaling, etc.

The layouts, which come from `obj's` theme, must be an EDC data item name `"layouts"` on the theme file, with (prefix) names of EDC programs actually implementing them.

The available layouts for slideshows on the default theme are:

- `"fullscreen"` - item images with original aspect, scaled to touch top and down slideshow borders or, if the image's height is not enough, left and right slideshow borders.
- `"not_fullscreen"` - the same behavior as the `"fullscreen"` one, but always leaving 10% of the slideshow's dimensions of distance between the item image's borders and the slideshow borders, for each axis.

Warning
  The stringshared strings get no new references exclusive to the user grabbing the list, here, so if you'd like to use them out of this call's context, you'd better `eina_stringshare_ref()` them.

See Also
  elm_slideshow_layout_set()

References elm_obj_slideshow_layouts_get.

Eina_Bool elm_slideshow_loop_get | ( | const Evas_Object * | obj | ) |

Get if, after a slideshow is started, for a given slideshow widget, its items are to be displayed cyclically or not.

Parameters

  obj | The slideshow object

Returns
  `EINA_TRUE`, if the items in `obj` will be cycled through or `EINA_FALSE`, otherwise

See Also
  elm_slideshow_loop_set() for more details

References elm_obj_slideshow_loop_get.

void elm_slideshow_loop_set | ( | Evas_Object * | obj,
|  | Eina_Bool | loop
| ) |  |

Set if, after a slideshow is started, for a given slideshow widget, its items should be displayed cyclically or not.

Parameters

  obj | The slideshow object
  loop | Use `EINA_TRUE` to make it cycle through items or `EINA_FALSE` for it to stop at the end of `obj's` internal list of items

Note
  elm_slideshow_next() and elm_slideshow_previous() will ignore what is set by this functions, i.e., they'll always cycle through items. This affects only the "automatic" slideshow, as set by elm_slideshow_timeout_set().

See Also
  elm_slideshow_loop_get()

References elm_obj_slideshow_loop_set.

void elm_slideshow_next | ( | Evas_Object * | obj | ) |

Slide to the next item, in a given slideshow widget.

Parameters

  obj | The slideshow object

The sliding animation `obj` is set to use will be the transition effect used, after this call is issued.

Note
  If the end of the slideshow's internal list of items is reached, it'll wrap around to the list's beginning, again.

References elm_obj_slideshow_next.

void elm_slideshow_previous | ( | Evas_Object * | obj | ) |

Slide to the previous item, in a given slideshow widget.

Parameters

  obj | The slideshow object

The sliding animation `obj` is set to use will be the transition effect used, after this call is issued.

Note
  If the beginning of the slideshow's internal list of items is reached, it'll wrap around to the list's end, again.

References elm_obj_slideshow_previous.

double elm_slideshow_timeout_get | ( | const Evas_Object * | obj | ) |

Get the interval set for image transitions on a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  Returns the timeout set on it or -1.0, on errors

See Also
  elm_slideshow_timeout_set() for more details

References elm_obj_slideshow_timeout_get.

void elm_slideshow_timeout_set | ( | Evas_Object * | obj,
|  | double | timeout
| ) |  |

Set the interval between each image transition on a given slideshow widget, and start the slideshow, itself

Parameters

  obj | The slideshow object
  timeout | The new displaying timeout for images

After this call, the slideshow widget will start cycling its view, sequentially and automatically, with the images of the items it has. The time between each new image displayed is going to be `timeout`, in seconds. If a different timeout was set previously and an slideshow was in progress, it will continue with the new time between transitions, after this call.

Note
  A value less than or equal to 0 on `timeout` will disable the widget's internal timer, thus halting any slideshow which could be happening on `obj`.

See Also
  elm_slideshow_timeout_get()

References elm_obj_slideshow_timeout_set.

const char* elm_slideshow_transition_get | ( | const Evas_Object * | obj | ) |

Get the current slide transition/effect in use for a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  The current transition's name

See Also
  elm_slideshow_transition_set() for more details

References elm_obj_slideshow_transition_get.

void elm_slideshow_transition_set | ( | Evas_Object * | obj,
|  | const char * | transition
| ) |  |

Set the current slide transition/effect in use for a given slideshow widget.

Parameters

  obj | The slideshow object
  transition | The new transition's name string

If `transition` is implemented in `obj's` theme (i.e., is contained in the list returned by elm_slideshow_transitions_get()), this new sliding effect will be used on the widget.

See Also
  elm_slideshow_transitions_get() for more details

References elm_obj_slideshow_transition_set.

const Eina_List* elm_slideshow_transitions_get | ( | const Evas_Object * | obj | ) |

Returns the list of sliding transition/effect names available, for a given slideshow widget.

Parameters

  obj | The slideshow object

Returns
  The list of transitions (list of stringshared strings as data)

The transitions, which come from `obj's` theme, must be an EDC data item named `"transitions"` on the theme file, with (prefix) names of EDC programs actually implementing them.

The available transitions for slideshows on the default theme are:

- `"fade"` - the current item fades out, while the new one fades in to the slideshow's viewport.
- `"black_fade"` - the current item fades to black, and just then, the new item will fade in.
- `"horizontal"` - the current item slides horizontally, until it gets out of the slideshow's viewport, while the new item comes from the left to take its place.
- `"vertical"` - the current item slides vertically, until it gets out of the slideshow's viewport, while the new item comes from the bottom to take its place.
- `"square"` - the new item starts to appear from the middle of the current one, but with a tiny size, growing until its target (full) size and covering the old one.

Warning
  The stringshared strings get no new references exclusive to the user grabbing the list, here, so if you'd like to use them out of this call's context, you'd better `eina_stringshare_ref()` them. Also the list is an internal list and so is only valid for as long as the slideshow object is valid and has not internally changed its list for some reason, so make a copy if you need it around.

See Also
  elm_slideshow_transition_set()

References elm_obj_slideshow_transitions_get.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14